<?php



//ini_set('display_errors',1);

session_start();

date_default_timezone_set('America/Lima');

require_once ("../../config/Cado.php");

require_once ("../egreso/cEgreso.php");

$oEgreso = new cEgreso();

require_once ("../compra/cComprapago.php");

$oComprapago = new cComprapago();



require_once ("../compra/cCompra.php");

$oCompra = new cCompra();



require_once ("cCuentapagar.php");

$oCuentapagar = new cCuentapagar();



require_once("../almacen/cAlmacen.php");

$oAlmacen = new cAlmacen();



require_once("../formatos/formato.php");







if($_POST['action']=="eliminararchivo")

{

	$oCuentapagar->modificar_archivo($_POST['arcid']);

	echo 'Archivo removido con exito.';

}







if($_POST['action']=="insertar_ren")

{



$oComprapago->modificar_campo($_POST['compagid'],'liq',$_POST['mon']);



$data['cuepag_msj']='Actualizado correctamente.';

	

echo json_encode($data);

	

}	

	

if($_POST['action']=="eliminarletra")

{

	$rs = $oComprapago->mostrarUno($_POST['compag_id']);

	$dt = mysqli_fetch_array($rs);

	$comid = $dt['tb_compra_id'];

	

	$oComprapago->modificar_campo($_POST['compag_id'],'xac','0');

	$oCompra->modificar_campo($comid,'xac','0');

	

	$data['cuepag_msj']='Letra eliminada correctamente.';

	

	echo json_encode($data);

	

}







if($_POST['action']=="insertarpagoletra")

{

	if(!empty($_POST['hdd_emp_id']) and !empty($_POST['txt_egr_fec']))

	{



		$cuenta_id=3;

		$doc_id=$_POST['hdd_egr_docid'];

		$numdoc=$_POST['hdd_egr_numdoc'];

		$mod_id = 4;

		$modide = $_POST['hdd_egr_idm'];

		$mon_id= $_POST['hdd_egr_moneid'];

		$est=1;

		$subcue_id = 0;

	

	

if($_POST['cmb_egre_tip']==1){

	$gassaliente = $_POST['hdd_egr_imp'];

	$fecemi = $_POST['txt_egr_fec'];

}else{

	$gassaliente = $_POST['hdd_egr_imp'] - $_POST['txt_egr_nvoimp'];

	$fecemi = $_POST['txt_egr_fec'];

}



		

		

		

		

		

		$oEgreso->insertar(

			$_POST['hdd_egr_usureg'],

			$_POST['hdd_egr_usumod'],

			fecha_mysql($fecemi),

			fecha_mysql($fecemi),

			intval($doc_id),

			$numdoc,

			$_POST['txt_egr_det'],

			moneda_mysql($gassaliente),

			$est,

			intval($cuenta_id),

			intval($subcue_id),

			$_POST['hdd_pro_id'],

			$_POST['cmb_cajalet_id'],

			$mod_id,

			$modide,

			'2',

			'2',

			$_POST['cmb_egre_tip'],

			'0',

			'0',

			'0',

			'0',

			'0',

			$_POST['txt_egr_nroope'],

			moneda_mysql($_POST['txt_egr_gasope']),

			moneda_mysql($_POST['txt_egr_imptot']),

			intval($_POST['txt_egr_diamor']),

			moneda_mysql($_POST['txt_egr_intmor']),

			moneda_mysql($_POST['txt_egr_intven']),

			moneda_mysql($_POST['txt_egr_intade']),

			moneda_mysql($_POST['txt_egr_intcom']),

			moneda_mysql($_POST['txt_egr_gaspro']),

			moneda_mysql($_POST['txt_egr_compro']),

			moneda_mysql($_POST['txt_egr_porte']),

			moneda_mysql($_POST['txt_egr_nvoimp']),

			fecha_mysql($_POST['txt_egres_fecnva']),

			moneda_mysql($_POST['txt_egres_amor']),

			intval($_POST['txt_egres_diaspro']),

			moneda_mysql($_POST['txt_egr_comdeval']),

			moneda_mysql($_POST['txt_egr_tasa']),

			moneda_mysql($_POST['txt_egr_itf'])

		);

		

		

		

		$dts=$oEgreso->ultimoInsert();

		$dt = mysqli_fetch_array($dts);

		$egr_id=$dt['id'];

		mysqli_free_result($dts);

		

if($_POST['cmb_egre_tip']==1){

	

	$gastos = moneda_mysql($_POST['txt_egr_imptot']) - moneda_mysql($_POST['hdd_egr_imp']);

		

		$oEgreso->insertar(

			$_POST['hdd_egr_usureg'],

			$_POST['hdd_egr_usumod'],

			fecha_mysql($_POST['txt_egr_fec']),

			fecha_mysql($_POST['txt_egr_fec']),

			intval($doc_id),

			$numdoc,

			$_POST['txt_egr_det'].' | SUMA DE GASTOS',

			moneda_mysql($gastos),

			$est,

			intval($cuenta_id),

			intval($subcue_id),

			$_POST['hdd_pro_id'],

			$_POST['cmb_cajalet_id'],

			$mod_id,

			'0',

			'2',

			'2',

			'0',

			'0',

			'0',

			'0',

			'0',

			'0',

			$_POST['txt_egre_nroope'],

			$gastos,

			moneda_mysql($gastos),

			'0','0','0','0','0','0','0','0','0',fecha_mysql($_POST['txt_egr_fec']),'0','0','0','0','0'

			

		);

		}else {

			

			$gastos1 = moneda_mysql($_POST['txt_egr_imptot']) + moneda_mysql($_POST['txt_egr_nvoimp']);

			$gastos = $gastos1 - moneda_mysql($_POST['hdd_egr_imp']);

		

		

		$oEgreso->insertar(

			$_POST['hdd_egr_usureg'],

			$_POST['hdd_egr_usumod'],

			fecha_mysql($_POST['txt_egr_fec']),

			fecha_mysql($_POST['txt_egr_fec']),

			intval($doc_id),

			$numdoc,

			$_POST['txt_egr_det'].' | SUMA DE GASTOS',

			moneda_mysql($gastos),

			$est,

			intval($cuenta_id),

			intval($subcue_id),

			$_POST['hdd_pro_id'],

			$_POST['cmb_cajalet_id'],

			$mod_id,

			'0',

			'2',

			'2',

			'0',

			'0',

			'0',

			'0',

			'0',

			'0',

			$_POST['txt_egre_nroope'],

			$gastos,

			moneda_mysql($gastos),

			'0','0','0','0','0','0','0','0','0',fecha_mysql($_POST['txt_egr_fec']),'0','0','0','0','0'

			

		);

			

		}		

		

		

		

		$dts= $oComprapago->mostrarUno($modide);

		$dt = mysqli_fetch_array($dts);

			$compag_mon =$dt['tb_comprapago_mon'];

			$pro_id		=$dt['tb_proveedor_id'];

			$mon_id		=$dt['tb_moneda_id'];

			$numdoc		=$dt['tb_compra_numdoc'];



			$canpag_numunilet = $dt['tb_comprapago_numuni'];

			$canpag_ref = $dt['tb_comprapago_ref'];

			$canpag_lugar = $dt['tb_comprapago_lug'];

			$txt_canje_aval = $dt['tb_comprapago_aval'];

			$banid = $dt['tb_banco_id'];

			$conid = $dt['tb_comprapago_con'];

			





		mysqli_free_result($dts);



$dts1=$oAlmacen->mostrarAlmCajEmp($_POST['hdd_emp_id']);

$dt1 = mysqli_fetch_array($dts1);

$emp=$dt1['tb_empresa_id'];

$punven_id=$dt1['tb_puntoventa_id'];

$piso_id=$dt1['tb_piso_id'];

$almid = $dt1['tb_almacen_id'];



mysqli_free_result($dts1);





if (strpos($numdoc, '-') !== false) {

    

	$posi = strlen($numdoc);

	$posan = $posi-1;

	$amorsubs = substr($numdoc,$posan,$posi);





	$p = $posan-1;

	$numdocahora = substr($numdoc,0,$p);





	if($amorsubs==1){



		$canpag_numlet = $numdocahora.'-2';

	}else if($amorsubs==2){

		$canpag_numlet = $numdocahora.'-3';

	}else if($amorsubs==3){

		$canpag_numlet = $numdocahora.'-4';

	}else if($amorsubs==4){

		$canpag_numlet = $numdocahora.'-5';

	}else if($amorsubs==5){

		$canpag_numlet = $numdocahora.'-6';

	}else if($amorsubs==6){

		$canpag_numlet = $numdocahora.'-7';

	}else if($amorsubs==7){

		$canpag_numlet = $numdocahora.'-8';

	}else if($amorsubs==8){

		$canpag_numlet = $numdocahora.'-9';

	}





}else{

	$canpag_numlet = $numdoc.'-1';



}







if($_POST['cmb_egre_tip']==2){



		$canest = 0;



		$oCompra->insertar(

			fecha_mysql($_POST['txt_egr_fecven']), // fecha de compra

			//fecha_mysql($_POST['txt_com_fec_emi']), // fecha de compra

			'22', // documento de compra 	| factura | boleta

			$canpag_numlet,// numero de documento

			$mon_id,// tipo de moneda 		|SOL | DOLAR

			'3.20',//$_POST['txt_com_tipcam']'',// tipo de cambio si la moneda fuese dolares

			'3.20',//$_POST['txt_com_tipcam']'',// tipo de cambio si la moneda fuese dolares

			$pro_id, // id proveedor

			moneda_mysql($_POST['txt_com_valven']), // sub total

			moneda_mysql($_POST['txt_com_des']),   		// descuento a filas	// ajuste negativo

			moneda_mysql($_POST['txt_com_valven']),   	// valor de la compra

			moneda_mysql($_POST['txt_com_igv']),   		// igv de la compra

			moneda_mysql($_POST['txt_egr_nvoimp']),   		// total de la compra

			$est,   					// estado 1REGISTRADA - 2CANCELADA

			$canest,   					// estado 1REGISTRADA - 2CANCELADA

			$almid,   				// almacen de productos

			$_SESSION['usuario_id'],   					// USUARIO ID

			$emp, 						// EMPRESA ID

			$punven_id, 						// PUNTO VENTA ID

			$piso_id,			// PISO ID

			$_POST['cmb_per_mes'].'',

			$_POST['cmb_per_anio'].'',

			$_POST['txt_com_nroped'].'',

			$_POST['txt_com_nroordcom'].'',

			$_POST['txt_com_nroguia_e'].'',

			$_POST['txt_com_nroguia_t'].'',

			$_POST['txt_com_ref'].'',

			fecha_mysql($_POST['txt_egr_fecven']),

			intval($_POST['txt_com_opeina']),

			intval($_POST['txt_com_opeexo']),

			intval($_POST['txt_com_opegra'])

			//$_POST['cmb_com_tippro']

		);





		$dts=$oCompra->ultimoInsert();

 		$dt = mysqli_fetch_array($dts);

 		$com_id=$dt['id'];

 		mysqli_free_result($dts);

		

		$fecha_hoy = $_POST['txt_egres_fecnva'];

		list($day,$mon,$year) = explode('-',$fecha_hoy);

		$fecha8dias=date('d-m-Y',mktime(0,0,0,$mon,$day+8,$year));

				



 		$oComprapago->insertar(

				intval($_POST['cmb_forpag_id']), //forma pago

				intval($_POST['cmb_modpag_id']),	// modo pago

				moneda_mysql($_POST['txt_egr_nvoimp']),

				$_POST['cmb_cajalet_id'], // ID CAJA		

				intval($_POST['txt_egres_diaspro']), //num dias

				fecha_mysql($_POST['txt_egres_fecnva']), //fecha vencimento

				fecha_mysql(fecha8dias), //fecha vencimento

				'2',

				$com_id	,

				$canpag_numunilet,

				$canpag_ref,

				$canpag_lugar,

				$txt_canje_aval,

				intval($banid),

				intval($conid),

				'0',

				'0'

			);

}

		$mod_id=4;

		$est=1;

		$dts3 = $oEgreso->mostrar_por_modulo($mod_id,$modide,$est);

		$num_rows3= mysqli_num_rows($dts3);

		while($dt3 = mysqli_fetch_array($dts3))

		{

			$abonos+= $dt3['tb_egreso_imp'];

		} 

		mysqli_free_result($dts3);



		$saldo=$compag_mon-$abonos;



		$oCuentapagar->editar_campo('est','1',$modide);	

		$msjadd = " - Letra Cancelada.";		

		

		if($saldo==0)

		{}



		$data['egr_msj']='Pago hecho correctamente.';

	}else

	{

		$data['egr_msj']='Intentelo nuevamente.';

	}

	echo json_encode($data);



}





































if($_POST['action']=="insertar")

{

	if(!empty($_POST['hdd_emp_id']) and !empty($_POST['txt_egr_feccom']))

	{		



		/* $ctax=$oCuentasxpagar->obtener_cuenta_egreso();

		$cta = mysqli_fetch_array($ctax);

			$cuenta_id	=$cta['tb_cuenta_id'];

		mysqli_free_result($cta);

 */

		$cuenta_id=3;

		$doc_id=$_POST['hdd_egr_docid'];

		$numdoc=$_POST['hdd_egr_numdoc'];

		$mod_id = 4;

		$modide = $_POST['hdd_egr_idm'];

		$mon_id= $_POST['hdd_egr_moneid'];

		$est=1;

		$subcue_id = 0;



		$oEgreso->insertar(

			$_POST['hdd_egr_usureg'],

			$_POST['hdd_egr_usumod'],

			fecha_mysql($_POST['txt_egr_feccom']),

			fecha_mysql($_POST['txt_egr_fecemi']),

			intval($doc_id),

			$numdoc,

			$_POST['txt_egr_det'],

			moneda_mysql($_POST['txt_egre_tot']),

			$est,

			intval($cuenta_id),

			intval($subcue_id),

			$_POST['hdd_pro_id'],

			$_POST['cmb_caja_id'],

			$mod_id,

			$modide,

			'2',

			$_POST['cmb_egre_modo'],

			intval($_POST['cmb_ban_id_ori']),

			intval($_POST['txt_egre_cuenori']),

			intval($_POST['cmb_ban_id_des']),

			intval($_POST['txt_egre_cuendes']),

			intval($_POST['cmb_nrocuent_prov']),

			$_POST['txt_egre_cob'],

			$_POST['txt_egre_nroopecom'],

			$_POST['txt_egre_gasope'],

			moneda_mysql($_POST['txt_egre_tot'])	,

			'0','0','0','0','0','0','0','0','0',fecha_mysql($_POST['txt_egr_feccom']),'0','0','0','0','0'		

		);

		

		

		$dts=$oEgreso->ultimoInsert();

		$dt = mysqli_fetch_array($dts);

		$egr_id=$dt['id'];

		mysqli_free_result($dts);

		

		if($_POST['txt_egre_gasope']>0){

		$oEgreso->insertar(

			$_POST['hdd_egr_usureg'],

			$_POST['hdd_egr_usumod'],

			fecha_mysql($_POST['txt_egr_feccom']),

			fecha_mysql($_POST['txt_egr_fecemi']),

			intval($doc_id),

			$numdoc,

			$_POST['txt_egr_det'].' | GASTO BANCARIO',

			moneda_mysql($_POST['txt_egre_gasope']),

			$est,

			$cuenta_id,

			$subcue_id,

			$_POST['hdd_pro_id'],

			$_POST['cmb_caja_id'],

			$mod_id,

			'0',

			'2',

			intval($_POST['cmb_egre_modo']),

			intval($_POST['cmb_ban_id_ori']),

			intval($_POST['txt_egre_cuenori']),

			intval($_POST['cmb_ban_id_des']),

			intval($_POST['txt_egre_cuendes']),

			intval($_POST['cmb_nrocuent_prov']),

			$_POST['txt_egre_cob'],

			$_POST['txt_egre_nroopecom'],

			$_POST['txt_egre_gasope'],

			moneda_mysql($_POST['txt_egre_gasope']),

			'0','0','0','0','0','0','0','0','0',fecha_mysql($_POST['txt_egr_feccom']),'0','0','0','0','0'

			

		);

		}

		



		//ultimo egreso



		/*$dts=$oEgreso->ultimoInsert();

		$dt = mysqli_fetch_array($dts);

		$egr_id=$dt['id'];

		mysqli_free_result($dts);	



		if($_POST['chk_imprimir']==1)$data['egr_act']='imprimir';

		$data['egr_id']=$egr_id;*/



		$dts= $oComprapago->mostrarUno($modide);

		$dt = mysqli_fetch_array($dts);

			$compag_mon =$dt['tb_comprapago_mon'];

			$pro_id		=$dt['tb_proveedor_id'];

		mysqli_free_result($dts);



		$mod_id=4;

		$est=1;

		$dts3 = $oEgreso->mostrar_por_modulo($mod_id,$modide,$est);

		$num_rows3= mysqli_num_rows($dts3);

		while($dt3 = mysqli_fetch_array($dts3))

		{

			$abonos+= $dt3['tb_egreso_imp'];

		} 

		mysqli_free_result($dts3);



		$saldo=$compag_mon-$abonos;



		if($saldo==0)

		{

			$oCuentapagar->editar_campo('est','1',$modide);	

			$msjadd = " - Deuda Cancelada.";		

		}



		$data['egr_msj']='Pago registrado correctamente.'.$msjadd;

		

	}

	else

	{

		$data['egr_msj']='Intentelo nuevamente.';

	}

	echo json_encode($data);

}

?>